## openldap 2.4.47+dfsg

=== servers/slapd/back-sql/rdbms_depend/timesten/dnreverse/Makefile ===
## Copyright 1997-2018 The OpenLDAP Foundation, All Rights Reserved.
##  COPYING RESTRICTIONS APPLY, see COPYRIGHT file

#
# Build TimesTen ODBC Sample Programs for Solaris 2.5.1.
# (c) Copyright 1996-1998, TimesTen Performance Software.
# All rights reserved.
## Note: This file was contributed by Sam Drake of TimesTen Performance
##       Software for use and redistribution as an intregal part of
##       OpenLDAP Software.  -Kdz

CPLUSPLUS = CC
TTCLASSES = ../../../../../../../../../cs/classes
ODBC	=	/opt/TimesTen4.1/32
CFLAGS	=	-g -I$(ODBC)/include -I. -I$(TTCLASSES) -DUNIX
LDFLAGS	=	-g
DIRLIBS	=	$(TTCLASSES)/ttclasses.a -L $(ODBC)/lib -R $(ODBC)/lib -ltten -lpthread -lm -lrt
XLALIB  =       -L $(ODBC)/lib -lxla

DIRPROGS=	dnreverse 

DNREVERSE=	dnreverse.o

#
#	Top-level targets
#

all:		$(DIRPROGS)

direct:		$(DIRPROGS)

clean:          
		rm -rf $(DIRPROGS) *.o


#
#	Direct-linked programs
#

dnreverse:	$(DNREVERSE)
		$(CPLUSPLUS) -o dnreverse $(LDFLAGS) $(DNREVERSE) $(DIRLIBS) $(XLALIB)

#
#	.o files
#

dnreverse.o:	dnreverse.cpp
		$(CPLUSPLUS) $(CFLAGS) -c dnreverse.cpp

=== debian/changelog ===
openldap (2.4.47+dfsg-3ubuntu2) disco; urgency=medium

  * Fix sysv-generator unit file by customizing parameters (LP: #1821343)
    - d/slapd-remain-after-exit.conf: Override RemainAfterExit to allow
      correct systemctl status for slapd daemon.
    - d/slapd.install: place override file in correct location.

 -- Heitor Alves de Siqueira <halves@canonical.com>  Mon, 08 Apr 2019 12:39:12 -0300

openldap (2.4.47+dfsg-3ubuntu1) disco; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Enable AppArmor support:
      - d/apparmor-profile: add AppArmor profile
      - d/rules: use dh_apparmor
      - d/control: Build-Depends on dh-apparmor
      - d/slapd.README.Debian: add note about AppArmor
    - Enable GSSAPI support:
      - d/patches/gssapi.diff, thanks to Jerry Carter (Likewise):
        - Add --with-gssapi support
        - Make guess_service_principal() more robust when determining
          principal
      - d/configure.options: Configure with --with-gssapi
      - d/control: Added heimdal-dev as a build depend
      - d/rules:
        - Explicitly add -I/usr/include/heimdal to CFLAGS.
        - Explicitly add -I/usr/lib/<multiarch>/heimdal to LDFLAGS.
    - Enable ufw support:
      - d/control: suggest ufw.
      - d/rules: install ufw profile.
      - d/slapd.ufw.profile: add ufw profile.
    - Enable nss overlay:
      - d/rules:
        - add nssov to CONTRIB_MODULES
        - add sysconfdir to CONTRIB_MAKEVARS
      - d/slapd.install:
        - install nssov overlay
      - d/slapd.manpages:
        - install slapo-nssov(5) man page
    - d/{rules,slapd.py}: Add apport hook.
    - d/slapd.init.ldif: don't set olcRootDN since it's not defined in
      either the default DIT nor via an Authn mapping.
    - d/slapd.scripts-common:
      - add slapcat_opts to local variables.
      - Fix backup directory naming for multiple reconfiguration.
    - d/{slapd.default,slapd.README.Debian}: use the new configuration style.
    - d/rules: Enable -DLDAP_CONNECTIONLESS to build CLDAP (UDP) support
      in the openldap library, as required by Likewise-Open
    - Show distribution in version:
      - d/control: added lsb-release
      - d/patches/fix-ldap-distribution.patch: show distribution in version
    - d/libldap-2.4-2.symbols: Add symbols not present in Debian.
      - CLDAP (UDP) was added in 2.4.17-1ubuntu2
      - GSSAPI support was enabled in 2.4.18-0ubuntu2
  * Added changes:
    - d/p/contrib-makefiles: given the change in 2.4.47+dfsg-3 regarding
      Debian bug #919136, we also have to patch the nssov makefile
      accordingly and thus update this patch.

 -- Andreas Hasenack <andreas@canonical.com>  Mon, 11 Feb 2019 09:20:47 -0200

openldap (2.4.47+dfsg-2ubuntu1) disco; urgency=medium

  * Merge from Debian unstable (LP: #1811630).  Remaining changes:
    - Enable AppArmor support:
      - d/apparmor-profile: add AppArmor profile
      - d/rules: use dh_apparmor
      - d/control: Build-Depends on dh-apparmor
      - d/slapd.README.Debian: add note about AppArmor
    - Enable GSSAPI support:
      - d/patches/gssapi.diff, thanks to Jerry Carter (Likewise):
        - Add --with-gssapi support
        - Make guess_service_principal() more robust when determining
          principal
      - d/configure.options: Configure with --with-gssapi
      - d/control: Added heimdal-dev as a build depend
      - d/rules:
        - Explicitly add -I/usr/include/heimdal to CFLAGS.
        - Explicitly add -I/usr/lib/<multiarch>/heimdal to LDFLAGS.
    - Enable ufw support:
      - d/control: suggest ufw.
      - d/rules: install ufw profile.
      - d/slapd.ufw.profile: add ufw profile.
    - Enable nss overlay:
      - d/rules:
        - add nssov to CONTRIB_MODULES
        - add sysconfdir to CONTRIB_MAKEVARS
      - d/slapd.install:
        - install nssov overlay
      - d/slapd.manpages:
        - install slapo-nssov(5) man page
    - d/{rules,slapd.py}: Add apport hook.
    - d/slapd.init.ldif: don't set olcRootDN since it's not defined in
      either the default DIT nor via an Authn mapping.
    - d/slapd.scripts-common:
      - add slapcat_opts to local variables.
      - Fix backup directory naming for multiple reconfiguration.
    - d/{slapd.default,slapd.README.Debian}: use the new configuration style.
    - d/rules: Enable -DLDAP_CONNECTIONLESS to build CLDAP (UDP) support
      in the openldap library, as required by Likewise-Open
    - Show distribution in version:
      - d/control: added lsb-release
      - d/patches/fix-ldap-distribution.patch: show distribution in version
    - d/libldap-2.4-2.symbols: Add symbols not present in Debian.
      - CLDAP (UDP) was added in 2.4.17-1ubuntu2
      - GSSAPI support was enabled in 2.4.18-0ubuntu2
  * Update nssov build and packaging for Debian changes:
    - Drop patch nssov-build
    - d/rules:
      - add nssov to CONTRIB_MODULES
      - add sysconfdir to CONTRIB_MAKEVARS
    - d/slapd.install:
      - install nssov overlay
    - d/slapd.manpages:
      - install slapo-nssov(5) man page

 -- Ryan Tandy <ryan@nardis.ca>  Sun, 13 Jan 2019 04:47:09 +0000

openldap (2.4.46+dfsg-5ubuntu3) disco; urgency=medium

  * d/apparmor-profile: update apparmor profile to allow reading of
    files needed when slapd is behaving as a kerberos/gssapi client
    and acquiring its own ticket. (LP: #1783183)

 -- Andreas Hasenack <andreas@canonical.com>  Fri, 09 Nov 2018 21:29:51 -0200

openldap (2.4.46+dfsg-5ubuntu2) disco; urgency=medium

  * No-change rebuild for the perl 5.28 transition.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 02 Nov 2018 18:14:37 -0600

=== debian/control ===
Source: openldap
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>
Uploaders: Steve Langasek <vorlon@debian.org>,
 Torsten Landschoff <torsten@debian.org>,
 Ryan Tandy <ryan@nardis.ca>
Build-Depends: debhelper (>= 10),
               dh-apparmor,
               dpkg-dev (>= 1.17.14),
               groff-base,
               heimdal-dev (>= 7.4.0.dfsg.1-1~) <!stage1>,
               libdb5.3-dev <!stage1>,
               libgnutls28-dev,
               libltdl-dev <!stage1>,
               libperl-dev (>= 5.8.0) <!stage1>,
               libsasl2-dev,
               libwrap0-dev <!stage1>,
               lsb-release,
               nettle-dev <!stage1>,
               perl:any,
               po-debconf,
               unixodbc-dev <!stage1>
Build-Conflicts: libbind-dev, bind-dev, libicu-dev, autoconf2.13
Standards-Version: 4.3.0
Homepage: http://www.openldap.org/
Vcs-Git: https://salsa.debian.org/openldap-team/openldap.git
Vcs-Browser: https://salsa.debian.org/openldap-team/openldap

Package: slapd
Architecture: any
Build-Profiles: <!stage1>
Pre-Depends: debconf (>= 0.5) | debconf-2.0, ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, libldap-2.4-2 (= ${binary:Version}),
 coreutils (>= 4.5.1-1), psmisc, perl (>> 5.8.0) | libmime-base64-perl,
 adduser, lsb-base (>= 3.2-13), ${misc:Depends}
Recommends: libsasl2-modules
Suggests: ldap-utils, ufw,
 libsasl2-modules-gssapi-mit | libsasl2-modules-gssapi-heimdal
Conflicts: umich-ldapd, ldap-server, libltdl3 (= 1.5.4-1)
Replaces: libldap2, ldap-utils (<< 2.2.23-3)
Provides: ldap-server, ${slapd:Provides}
Description: OpenLDAP server (slapd)
 This is the OpenLDAP (Lightweight Directory Access Protocol) server
 (slapd). The server can be used to provide a standalone directory
 service.

Package: slapd-contrib
Architecture: any
Build-Profiles: <!stage1>
Depends: slapd (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: slapd-smbk5pwd
Breaks: slapd-smbk5pwd (<< 2.4.47+dfsg-2~)
Replaces: slapd-smbk5pwd (<< 2.4.47+dfsg-2~)
Description: contributed plugins for OpenLDAP slapd
 This package contains a number of slapd overlays and plugins contributed by
 the OpenLDAP community. While distributed as part of OpenLDAP Software, they
 are not necessarily supported by the OpenLDAP Project.

Package: slapd-smbk5pwd
Architecture: all
Section: oldlibs
Build-Profiles: <!stage1>
Depends: slapd-contrib, ${misc:Depends}
Breaks: slapd (<< 2.4.47+dfsg-2~)
Description: transitional package for slapd-contrib
 This is a transitional package from slapd-smbk5pwd to slapd-contrib. It can be
 safely removed.

Package: ldap-utils
Architecture: any
Depends: ${shlibs:Depends}, libldap-2.4-2 (= ${binary:Version}), ${misc:Depends}
Recommends: libsasl2-modules
Suggests: libsasl2-modules-gssapi-mit | libsasl2-modules-gssapi-heimdal
Conflicts: umich-ldap-utils, openldap-utils, ldap-client
Replaces: openldap-utils, slapd (<< 2.2.23-0.pre6), openldapd
Provides: ldap-client, openldap-utils
Description: OpenLDAP utilities
 This package provides utilities from the OpenLDAP (Lightweight
 Directory Access Protocol) package. These utilities can access a
 local or remote LDAP server and contain all the client programs
 required to access LDAP servers.

Package: libldap-2.4-2
Section: libs
Architecture: any
Multi-Arch: same
Conflicts: ldap-utils (<= 2.1.23-1)
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}, libldap-common
Replaces: libldap2, libldap-2.3-0
Description: OpenLDAP libraries 
 These are the run-time libraries for the OpenLDAP (Lightweight Directory
 Access Protocol) servers and clients.

Package: libldap-common
Section: libs
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Replaces: libldap-2.4-2 (<< 2.4.44+dfsg-1)
Description: OpenLDAP common files for libraries
 These are common files for the run-time libraries for the OpenLDAP
 (Lightweight Directory Access Protocol) servers and clients.

Package: libldap2-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Conflicts: libldap-dev, libopenldap-dev
Replaces: libopenldap-dev
Provides: libldap-dev
Depends: libldap-2.4-2 (= ${binary:Version}), ${misc:Depends}
Description: OpenLDAP development libraries
 This package allows development of LDAP applications using the OpenLDAP
 libraries. It includes headers, libraries and links to allow static and
 dynamic linking.

Package: slapi-dev
Section: libdevel
Architecture: any
Build-Profiles: <!stage1>
Depends: slapd (= ${binary:Version}), ${misc:Depends}
Description: development libraries for OpenLDAP SLAPI plugin interface
 This package allows development of plugins for the OpenLDAP slapd server
 using the SLAPI interface.  It includes the headers and libraries needed
 to build such plugins.

=== debian/rules ===
#!/usr/bin/make -f

# Set this variable if you're building packages outside of Debian and don't
# want the checks for DFSG-freeness.
#DFSG_NONFREE = 1

export DEB_CFLAGS_MAINT_APPEND := -Wall -Wno-format-extra-args -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -DLDAP_CONNECTIONLESS -I/usr/include/heimdal
export DEB_LDFLAGS_MAINT_APPEND := -L/usr/lib/$(DEB_HOST_MULTIARCH)/heimdal
export DEB_BUILD_MAINT_OPTIONS := hardening=+pie,+bindnow

# Workaround for bad glibc behavior when resolving localhost
export RESOLV_MULTI = off

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

CONFIG		= $(shell grep -v "^\#" debian/configure.options)
ifeq ($(DEB_HOST_ARCH_OS),hurd)
	CONFIG += --disable-bdb --disable-hdb --disable-mdb
endif
ifneq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
	CONFIG += --disable-slapd
endif

CONTRIB_MODULES = autogroup lastbind nssov passwd passwd/pbkdf2 passwd/sha2 smbk5pwd

# Ensure CC is set correctly for cross builds, unless it has already 
# been set explicitly.
ifeq ($(origin CC),default)
	export CC := $(DEB_HOST_GNU_TYPE)-gcc
endif

installdir	:= $(CURDIR)/debian/tmp
builddir	:= $(CURDIR)/debian/build
slapddir	:= $(CURDIR)/debian/slapd/usr/sbin

MAKEVARS	:= STRIP=

# Standard variables used in contrib Makefiles.
# We override these in make invocations rather than patch every one.
CONTRIB_MAKEVARS := \
	LDAP_BUILD='$(builddir)' \
	prefix=/usr \
	ldap_subdir=/ldap \
	moduledir='$$(libdir)$$(ldap_subdir)' \
	sysconfdir='/etc$$(ldap_subdir)'

# These variables are used only by get-orig-source, which will normally only
# be run by maintainers.
VERSION = $(shell dpkg-parsechangelog |grep Version| sed 's/.*: //;s/\+dfsg//;s/-.*//')
URL     = http://www.openldap.org/software/download/OpenLDAP/openldap-release/

# Download the upstream source and make changes as required for DFSG reasons.
# Assumes wget is available, as this is generally only used by the package
# maintainers.
get-orig-source:
	@if [ ! -d "debian/schema" ] ; then \
	    echo 'Run this from the top directory of the Debian source' >&2; \
	    exit 1; \
	fi
	wget $(URL)/openldap-$(VERSION).tgz
	tar xzf openldap-$(VERSION).tgz
	rm -r openldap-$(VERSION)/doc/drafts
	rm -r openldap-$(VERSION)/doc/rfc
	set -e; for schema in debian/schema/*.schema debian/schema/*.ldif ; do \
	    file=`basename "$$schema"`; \
	    rm openldap-$(VERSION)/servers/slapd/schema/$$file; \
	done
	mv openldap-$(VERSION) openldap-$(VERSION)+dfsg
	tar cf openldap_$(VERSION)+dfsg.orig.tar openldap-$(VERSION)+dfsg
	rm -r openldap-$(VERSION)+dfsg
	gzip -9 openldap_$(VERSION)+dfsg.orig.tar

DH = dh $@ --builddirectory=$(builddir)
.PHONY: build
build:
	$(DH)
%:
	$(DH)

# Only contrib/ldapc++ uses Automake, so special care is needed to update
# config.guess and config.sub at the top level.
autoreconf:
	autoreconf -f -i . contrib/ldapc++
	cp -f /usr/share/misc/config.guess /usr/share/misc/config.sub build/

override_dh_autoreconf:
	dh_autoreconf debian/rules -- autoreconf

override_dh_auto_configure:
	# Check if we include the RFCs, Internet-Drafts, or upstream schemas
	# with RFC text (which are non DFSG-free).  You can set DFSG_NONFREE
	# to build the packages from the unchanged upstream sources but Debian
	# can not ship the RFCs in main so this test is here to make sure it
	# does not get in by accident again. -- Torsten
	if [ -z "$(DFSG_NONFREE)" ]; then \
	    if [ -e doc/drafts ] || [ -e doc/rfc ]; then exit 1; fi; \
	    if [ -e servers/slapd/schema/core.schema ] \
	       && grep -q 'RFC 4519 definition' servers/slapd/schema/core.schema; \
	    then \
		exit 1; \
	    fi; \
	fi

	# Copy our stripped schema versions into where upstream expects them.
	if [ -z "$(DFSG_NONFREE)" ]; then \
		cp debian/schema/*.schema debian/schema/*.ldif \
			servers/slapd/schema/; \
	fi

	dh_auto_configure -- $(CONFIG)

override_dh_auto_build:
	dh_auto_build -- $(MAKEVARS)
ifeq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
	for mod in $(CONTRIB_MODULES); do \
		dh_auto_build -Dcontrib/slapd-modules/$$mod -Bcontrib/slapd-modules/$$mod -- $(CONTRIB_MAKEVARS) || exit $$?; \
	done
endif

override_dh_auto_test:
ifeq ($(DEB_HOST_ARCH),ppc64el)
	# Disable test060-mt-host on ppc64el until #866122 is fixed.
	rm -f tests/scripts/test060-mt-hot
endif
	dh_auto_test

override_dh_auto_install:
	dh_auto_install -- $(MAKEVARS)
ifeq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
	for mod in $(CONTRIB_MODULES); do \
		dh_auto_install -Dcontrib/slapd-modules/$$mod -Bcontrib/slapd-modules/$$mod -- $(CONTRIB_MAKEVARS) || exit $$?; \
	done

	# Empty the dependency_libs file in the .la files.
	for F in $(installdir)/usr/lib/ldap/*.la; do \
		sed -i "s/^dependency_libs=.*/dependency_libs=''/" $$F; \
	done
endif
	
	# Check all built libraries for unresolved symbols except for the
	# libslapi library.  It is a special case since the SLAPI interface
	# depends on symbols defined in slapd itself.  Those symbols will
	# remain unresolved until the plugin is loaded into slapd.
	for F in $(installdir)/usr/lib/$(DEB_HOST_MULTIARCH)/*.so.*.*.*; do \
	    if echo "$$F" | grep -q libslapi ; then \
	        continue; \
	    fi; \
	    if LD_LIBRARY_PATH=$(installdir)/usr/lib/$(DEB_HOST_MULTIARCH) ldd -d -r $$F 2>&1 | grep '^undefined symbol:'; then \
	        echo; \
	        echo "library $$F has undefined references.  Please fix this before continuing."; \
		exit 1; \
	    fi; \
	done

	# Upstream manpages are section 8C but installed as section 8
	find $(installdir)/usr/share/man -name \*.8 \
		| xargs perl -pi -e 's#(\.TH \w+ 8)C#$$1#'

ifeq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
override_dh_install-arch:
	dh_install

	# install AppArmor profile
	install -D -m 644 $(CURDIR)/debian/apparmor-profile $(CURDIR)/debian/slapd/etc/apparmor.d/usr.sbin.slapd

	# install Apport hook
	install -D -m 644 $(CURDIR)/debian/slapd.py $(CURDIR)/debian/slapd/usr/share/apport/package-hooks/slapd.py

	# install ufw profile
	install -D -m 644 $(CURDIR)/debian/slapd.ufw.profile $(CURDIR)/debian/slapd/etc/ufw/applications.d/slapd

	dh_apparmor -pslapd --profile-name=usr.sbin.slapd
endif

override_dh_installinit:
	dh_installinit -- "defaults 19 80"

ifeq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
override_dh_installman:
	dh_installman
	rm -f $(CURDIR)/debian/slapd/usr/share/man/man5/slapo-smbk5pwd.*

override_dh_fixperms-arch:
	dh_fixperms
	chmod +x $(CURDIR)/debian/slapd/usr/share/slapd/ldiftopasswd
endif

override_dh_strip:
	dh_strip -plibldap-2.4-2 --dbgsym-migration='libldap-2.4-2-dbg (<< 2.4.45+dfsg-1~)'
ifeq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
	dh_strip -pslapd --dbgsym-migration='slapd-dbg (<< 2.4.45+dfsg-1~)'
endif
	dh_strip --remaining-packages
ifeq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
	# hardlink these so not confined by apparmor; do this here and not
	# in dh_link so that dh_strip doesn't get confused and put the wrong
	# binary in the debug package.
	for f in slapacl slapadd slapauth slapcat slapdn slapindex slappasswd slaptest slapschema ; do \
	    ln -f $(slapddir)/slapd $(slapddir)/$$f ; \
	done
endif

override_dh_link:
	for pkg in libldap2-dev libldap-2.4-2; do \
		sed -e"s/\$${DEB_HOST_MULTIARCH}/$(DEB_HOST_MULTIARCH)/g" < debian/$$pkg.links.in > debian/$$pkg.links; \
	done
	dh_link

override_dh_makeshlibs:
ifeq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
	echo "slapd:Provides=$$(objdump -p debian/slapd/usr/lib/$(DEB_HOST_MULTIARCH)/libslapi-*.so.* \
		| sed -ne '/SONAME/ { s/[[:space:]]*SONAME[[:space:]]*//; \
		                      s/\.so\./-/; p; q }' \
	)" >> debian/slapd.substvars
	dh_makeshlibs -pslapd -X/usr/lib/ldap/ -V "$$(sed -ne's/slapd:Provides=//p' debian/slapd.substvars)"
endif
	dh_makeshlibs --remaining-packages

ifeq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
override_dh_installdeb:
	dh_installdeb
	perl -w debian/dh_installscripts-common -p slapd

## openldap 2.4.47+dfsg.4

=== contrib/slapd-modules/noopsrch/Makefile ===
# $OpenLDAP$
# This work is part of OpenLDAP Software <http://www.openldap.org/>.
#
# Copyright 1998-2018 The OpenLDAP Foundation.
# Copyright 2004 Howard Chu, Symas Corp. All Rights Reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted only as authorized by the OpenLDAP
# Public License.
#
# A copy of this license is available in the file LICENSE in the
# top-level directory of the distribution or, alternatively, at
# <http://www.OpenLDAP.org/license.html>.

LDAP_SRC = ../../..
LDAP_BUILD = $(LDAP_SRC)
LDAP_INC = -I$(LDAP_BUILD)/include -I$(LDAP_SRC)/include -I$(LDAP_SRC)/servers/slapd
LDAP_LIB = $(LDAP_BUILD)/libraries/libldap_r/libldap_r.la \
	$(LDAP_BUILD)/libraries/liblber/liblber.la

LIBTOOL = $(LDAP_BUILD)/libtool
CC = gcc
OPT = -g -O2 -Wall
DEFS = -DSLAPD_OVER_NOOPSRCH=SLAPD_MOD_DYNAMIC
INCS = $(LDAP_INC)
LIBS = $(LDAP_LIB)

PROGRAMS = noopsrch.la
LTVER = 0:0:0

prefix=/usr/local
exec_prefix=$(prefix)
ldap_subdir=/openldap

libdir=$(exec_prefix)/lib
libexecdir=$(exec_prefix)/libexec
moduledir = $(libexecdir)$(ldap_subdir)

.SUFFIXES: .c .o .lo

.c.lo:
	$(LIBTOOL) --mode=compile $(CC) $(OPT) $(DEFS) $(INCS) -c $<

all: $(PROGRAMS)

noopsrch.la: noopsrch.lo
	$(LIBTOOL) --mode=link $(CC) $(OPT) -version-info $(LTVER) \
	-rpath $(moduledir) -module -o $@ $? $(LIBS)

clean:
	rm -rf *.o *.lo *.la .libs

install: $(PROGRAMS)
	mkdir -p $(DESTDIR)$(moduledir)
	for p in $(PROGRAMS) ; do \
		$(LIBTOOL) --mode=install cp $$p $(DESTDIR)$(moduledir) ; \
	done

=== debian/changelog ===
openldap (2.4.47+dfsg.4-1+eagle) unstable; urgency=medium

  * update

 -- Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>  Fri, 26 Feb 2021 14:12:22 +0800

openldap (2.4.47+dfsg.4-1+eagle) buster; urgency=medium

  * fix CVE-2021-27212

 -- zhouzilong <zhouzilong@uniontech.com>  Fri, 26 Feb 2021 10:49:05 +0800

openldap (2.4.47+dfsg.3-1+eagle) buster; urgency=medium

  * Non-maintainer upload.
  * fix CVE-2020-36221 CVE-2020-36222 CVE-2020-36223 CVE-2020-36224 
    CVE-2020-36225 CVE-2020-36226 CVE-2020-36227 CVE-2020-36228 
    CVE-2020-36229 CVE-2020-36230

 -- zhouzilong <zhouzilong@uniontech.com>  Mon, 08 Feb 2021 11:30:46 +0800

## openldap 2.4.47+dfsg.5

=== debian/changelog ===
openldap (2.4.47+dfsg.5-1+deepin) unstable; urgency=medium

  * fix CVE-2022-29155.
  * 

 -- xinpeng.wang <wangxinpeng@uniontech.com>  Thu, 27 Oct 2022 15:09:17 +0800

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,20 @@
 Source: openldap
 Section: net
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>
+Maintainer: Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>
 Uploaders: Steve Langasek <vorlon@debian.org>,
  Torsten Landschoff <torsten@debian.org>,
  Ryan Tandy <ryan@nardis.ca>
 Build-Depends: debhelper (>= 10),
-               dh-apparmor,
                dpkg-dev (>= 1.17.14),
                groff-base,
-               heimdal-dev (>= 7.4.0.dfsg.1-1~) <!stage1>,
+               heimdal-multidev (>= 7.4.0.dfsg.1-1~) <!stage1>,
                libdb5.3-dev <!stage1>,
                libgnutls28-dev,
                libltdl-dev <!stage1>,
                libperl-dev (>= 5.8.0) <!stage1>,
                libsasl2-dev,
                libwrap0-dev <!stage1>,
-               lsb-release,
                nettle-dev <!stage1>,
                perl:any,
                po-debconf,
@@ -36,7 +33,7 @@
  coreutils (>= 4.5.1-1), psmisc, perl (>> 5.8.0) | libmime-base64-perl,
  adduser, lsb-base (>= 3.2-13), ${misc:Depends}
 Recommends: libsasl2-modules
-Suggests: ldap-utils, ufw,
+Suggests: ldap-utils,
  libsasl2-modules-gssapi-mit | libsasl2-modules-gssapi-heimdal
 Conflicts: umich-ldapd, ldap-server, libltdl3 (= 1.5.4-1)
 Replaces: libldap2, ldap-utils (<< 2.2.23-3)

=== debian/rules ===
--- 
+++ 
@@ -4,8 +4,7 @@
 # want the checks for DFSG-freeness.
 #DFSG_NONFREE = 1
 
-export DEB_CFLAGS_MAINT_APPEND := -Wall -Wno-format-extra-args -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -DLDAP_CONNECTIONLESS -I/usr/include/heimdal
-export DEB_LDFLAGS_MAINT_APPEND := -L/usr/lib/$(DEB_HOST_MULTIARCH)/heimdal
+export DEB_CFLAGS_MAINT_APPEND := -Wall -Wno-format-extra-args -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE
 export DEB_BUILD_MAINT_OPTIONS := hardening=+pie,+bindnow
 
 # Workaround for bad glibc behavior when resolving localhost
@@ -24,7 +23,7 @@
 	CONFIG += --disable-slapd
 endif
 
-CONTRIB_MODULES = autogroup lastbind nssov passwd passwd/pbkdf2 passwd/sha2 smbk5pwd
+CONTRIB_MODULES = autogroup lastbind passwd passwd/pbkdf2 passwd/sha2 smbk5pwd
 
 # Ensure CC is set correctly for cross builds, unless it has already 
 # been set explicitly.
@@ -44,8 +43,7 @@
 	LDAP_BUILD='$(builddir)' \
 	prefix=/usr \
 	ldap_subdir=/ldap \
-	moduledir='$$(libdir)$$(ldap_subdir)' \
-	sysconfdir='/etc$$(ldap_subdir)'
+	moduledir='$$(libdir)$$(ldap_subdir)'
 
 # These variables are used only by get-orig-source, which will normally only
 # be run by maintainers.
@@ -159,22 +157,6 @@
 	find $(installdir)/usr/share/man -name \*.8 \
 		| xargs perl -pi -e 's#(\.TH \w+ 8)C#$$1#'
 
-ifeq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
-override_dh_install-arch:
-	dh_install
-
-	# install AppArmor profile
-	install -D -m 644 $(CURDIR)/debian/apparmor-profile $(CURDIR)/debian/slapd/etc/apparmor.d/usr.sbin.slapd
-
-	# install Apport hook
-	install -D -m 644 $(CURDIR)/debian/slapd.py $(CURDIR)/debian/slapd/usr/share/apport/package-hooks/slapd.py
-
-	# install ufw profile
-	install -D -m 644 $(CURDIR)/debian/slapd.ufw.profile $(CURDIR)/debian/slapd/etc/ufw/applications.d/slapd
-
-	dh_apparmor -pslapd --profile-name=usr.sbin.slapd
-endif
-
 override_dh_installinit:
 	dh_installinit -- "defaults 19 80"
 
@@ -223,3 +205,22 @@
 override_dh_installdeb:
 	dh_installdeb
 	perl -w debian/dh_installscripts-common -p slapd
+endif
+
+override_dh_auto_clean:
+	dh_auto_clean
+	# Update translation templates for debconf
+	debconf-updatepo
+ifeq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
+	# Remove our stripped schema from the upstream source area.
+	if [ -z "$(DFSG_NONFREE)" ]; then \
+	    set -e; for s in debian/schema/*.schema debian/schema/*.ldif; do \
+	        rm -f servers/slapd/schema/`basename $$s`; \
+	    done; \
+	fi
+
+	# Clean the contrib directory
+	for mod in $(CONTRIB_MODULES); do \
+		dh_auto_clean -Dcontrib/slapd-modules/$$mod -Bcontrib/slapd-modules/$$mod || exit $?; \
+	done
+endif

## openldap 2.4.48+dfsg

=== debian/changelog ===
openldap (2.4.48+dfsg-1ubuntu1.2) eoan; urgency=medium

  [ Andreas Hasenack ]
  * d/p/ITS-9171-Insert-callback-in-the-right-place.patch: Import upstream
    patch to fix slapd crashing in certain configurations when a client
    attempts a login to a locked account. (LP: #1866303)

  [ Sergio Durigan Junior ]
  * d/apparmor-profile: Update apparmor profile to grant access to
    the saslauthd socket, so that SASL authentication works.  (LP: #1557157)

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 01 Jul 2020 16:43:06 -0300

openldap (2.4.48+dfsg-1ubuntu1.1) eoan-security; urgency=medium

  * SECURITY UPDATE: denial of service via nested search filters
    - debian/patches/CVE-2020-12243.patch: limit depth of nested filters in
      servers/slapd/filter.c.
    - CVE-2020-12243

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 01 May 2020 13:10:32 -0400

openldap (2.4.48+dfsg-1ubuntu1) eoan; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - Enable AppArmor support:
      - d/apparmor-profile: add AppArmor profile
      - d/rules: use dh_apparmor
      - d/control: Build-Depends on dh-apparmor
      - d/slapd.README.Debian: add note about AppArmor
    - Enable GSSAPI support:
      - d/patches/gssapi.diff, thanks to Jerry Carter (Likewise):
        - Add --with-gssapi support
        - Make guess_service_principal() more robust when determining
          principal
      - d/configure.options: Configure with --with-gssapi
      - d/control: Added heimdal-dev as a build depend
      - d/rules:
        - Explicitly add -I/usr/include/heimdal to CFLAGS.
        - Explicitly add -I/usr/lib/<multiarch>/heimdal to LDFLAGS.
    - Enable ufw support:
      - d/control: suggest ufw.
      - d/rules: install ufw profile.
      - d/slapd.ufw.profile: add ufw profile.
    - Enable nss overlay:
      - d/rules:
        - add nssov to CONTRIB_MODULES
        - add sysconfdir to CONTRIB_MAKEVARS
      - d/slapd.install:
        - install nssov overlay
      - d/slapd.manpages:
        - install slapo-nssov(5) man page
    - d/{rules,slapd.py}: Add apport hook.
    - d/slapd.init.ldif: don't set olcRootDN since it's not defined in
      either the default DIT nor via an Authn mapping.
    - d/slapd.scripts-common:
      - add slapcat_opts to local variables.
      - Fix backup directory naming for multiple reconfiguration.
    - d/{slapd.default,slapd.README.Debian}: use the new configuration style.
    - d/rules: Enable -DLDAP_CONNECTIONLESS to build CLDAP (UDP) support
      in the openldap library, as required by Likewise-Open
    - Show distribution in version:
      - d/control: added lsb-release
      - d/patches/fix-ldap-distribution.patch: show distribution in version
    - d/libldap-2.4-2.symbols: Add symbols not present in Debian.
      - CLDAP (UDP) was added in 2.4.17-1ubuntu2
      - GSSAPI support was enabled in 2.4.18-0ubuntu2
    - d/p/contrib-makefiles: given the change in 2.4.47+dfsg-3 regarding
      Debian bug #919136, we also have to patch the nssov makefile
      accordingly and thus update this patch.
  * Dropped:
    - Fix sysv-generator unit file by customizing parameters (LP #1821343)
      + d/slapd-remain-after-exit.conf: Override RemainAfterExit to allow
        correct systemctl status for slapd daemon.
      + d/slapd.install: place override file in correct location.
      [Included in 2.4.48+dfsg-1]
    - SECURITY UPDATE: rootDN proxyauthz not restricted to its own databases
      + debian/patches/CVE-2019-13057-1.patch: add restriction to
        servers/slapd/saslauthz.c.
      + debian/patches/CVE-2019-13057-2.patch: add tests to
        tests/data/idassert.out, tests/data/slapd-idassert.conf,
        tests/data/test-idassert1.ldif, tests/scripts/test028-idassert.
      + debian/patches/CVE-2019-13057-3.patch: fix typo in
        tests/scripts/test028-idassert.
      + debian/patches/CVE-2019-13057-4.patch: fix typo in
        tests/scripts/test028-idassert.
      + CVE-2019-13057
      [Fixed upstream]
    - SECURITY UPDATE: SASL SSF not initialized per connection
      + debian/patches/CVE-2019-13565.patch: zero out sasl_ssf in
        connection_init in servers/slapd/connection.c.
      + CVE-2019-13565
      [Fixed upstream]

 -- Andreas Hasenack <andreas@canonical.com>  Wed, 31 Jul 2019 18:01:14 -0300

openldap (2.4.48+dfsg-1) unstable; urgency=medium

  * New upstream release.
    - fixed slapd to restrict rootDN proxyauthz to its own databases
      (CVE-2019-13057) (ITS#9038) (Closes: #932997)
    - fixed slapd to enforce sasl_ssf ACL statement on every connection
      (CVE-2019-13565) (ITS#9052) (Closes: #932998)
    - added new openldap.h header with OpenLDAP specific libldap interfaces
      (ITS#8671)
    - updated lastbind overlay to support forwarding authTimestamp updates
      (ITS#7721) (Closes: #880656)
  * Update Standards-Version to 4.4.0.
  * Add a systemd drop-in to set RemainAfterExit=no on the slapd service, so
    that systemd marks the service as dead after it crashes or is killed.
    Thanks to Heitor Alves de Siqueira. (Closes: #926657, LP: #1821343)
  * Use more entropy for generating a random admin password, if none was set
    during initial configuration. Thanks to Judicael Courant.
    (Closes: #932270)
  * Replace debian/rules calls to dpkg-architecture and dpkg-parsechangelog
    with variables provided by dpkg-dev includes.
  * Declare R³: no.
  * Create a simple autopkgtest that tests installing slapd and connecting to
    it with an ldap tool.
  * Install the new openldap.h header in libldap2-dev.

 -- Ryan Tandy <ryan@nardis.ca>  Thu, 25 Jul 2019 08:32:00 -0700

openldap (2.4.47+dfsg-3ubuntu3) eoan; urgency=medium

  * SECURITY UPDATE: rootDN proxyauthz not restricted to its own databases
    - debian/patches/CVE-2019-13057-1.patch: add restriction to
      servers/slapd/saslauthz.c.
    - debian/patches/CVE-2019-13057-2.patch: add tests to


=== debian/control ===
--- 
+++ 
@@ -1,27 +1,31 @@
 Source: openldap
 Section: net
 Priority: optional
-Maintainer: Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OpenLDAP Maintainers <pkg-openldap-devel@lists.alioth.debian.org>
 Uploaders: Steve Langasek <vorlon@debian.org>,
  Torsten Landschoff <torsten@debian.org>,
  Ryan Tandy <ryan@nardis.ca>
 Build-Depends: debhelper (>= 10),
+               dh-apparmor,
                dpkg-dev (>= 1.17.14),
                groff-base,
-               heimdal-multidev (>= 7.4.0.dfsg.1-1~) <!stage1>,
+               heimdal-dev (>= 7.4.0.dfsg.1-1~) <!stage1>,
                libdb5.3-dev <!stage1>,
                libgnutls28-dev,
                libltdl-dev <!stage1>,
                libperl-dev (>= 5.8.0) <!stage1>,
                libsasl2-dev,
                libwrap0-dev <!stage1>,
+               lsb-release,
                nettle-dev <!stage1>,
                perl:any,
                po-debconf,
                unixodbc-dev <!stage1>
 Build-Conflicts: libbind-dev, bind-dev, libicu-dev, autoconf2.13
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: http://www.openldap.org/
+Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/openldap-team/openldap.git
 Vcs-Browser: https://salsa.debian.org/openldap-team/openldap
 
@@ -33,7 +37,7 @@
  coreutils (>= 4.5.1-1), psmisc, perl (>> 5.8.0) | libmime-base64-perl,
  adduser, lsb-base (>= 3.2-13), ${misc:Depends}
 Recommends: libsasl2-modules
-Suggests: ldap-utils,
+Suggests: ldap-utils, ufw,
  libsasl2-modules-gssapi-mit | libsasl2-modules-gssapi-heimdal
 Conflicts: umich-ldapd, ldap-server, libltdl3 (= 1.5.4-1)
 Replaces: libldap2, ldap-utils (<< 2.2.23-3)

=== debian/rules ===
--- 
+++ 
@@ -1,19 +1,18 @@
 #!/usr/bin/make -f
+
+include /usr/share/dpkg/architecture.mk
+include /usr/share/dpkg/pkg-info.mk
 
 # Set this variable if you're building packages outside of Debian and don't
 # want the checks for DFSG-freeness.
 #DFSG_NONFREE = 1
 
-export DEB_CFLAGS_MAINT_APPEND := -Wall -Wno-format-extra-args -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE
+export DEB_CFLAGS_MAINT_APPEND := -Wall -Wno-format-extra-args -D_FILE_OFFSET_BITS=64 -D_GNU_SOURCE -DLDAP_CONNECTIONLESS -I/usr/include/heimdal
+export DEB_LDFLAGS_MAINT_APPEND := -L/usr/lib/$(DEB_HOST_MULTIARCH)/heimdal
 export DEB_BUILD_MAINT_OPTIONS := hardening=+pie,+bindnow
 
 # Workaround for bad glibc behavior when resolving localhost
 export RESOLV_MULTI = off
-
-DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
-DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
-DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
 CONFIG		= $(shell grep -v "^\#" debian/configure.options)
 ifeq ($(DEB_HOST_ARCH_OS),hurd)
@@ -23,7 +22,7 @@
 	CONFIG += --disable-slapd
 endif
 
-CONTRIB_MODULES = autogroup lastbind passwd passwd/pbkdf2 passwd/sha2 smbk5pwd
+CONTRIB_MODULES = autogroup lastbind nssov passwd passwd/pbkdf2 passwd/sha2 smbk5pwd
 
 # Ensure CC is set correctly for cross builds, unless it has already 
 # been set explicitly.
@@ -43,11 +42,12 @@
 	LDAP_BUILD='$(builddir)' \
 	prefix=/usr \
 	ldap_subdir=/ldap \
-	moduledir='$$(libdir)$$(ldap_subdir)'
+	moduledir='$$(libdir)$$(ldap_subdir)' \
+	sysconfdir='/etc$$(ldap_subdir)'
 
 # These variables are used only by get-orig-source, which will normally only
 # be run by maintainers.
-VERSION = $(shell dpkg-parsechangelog |grep Version| sed 's/.*: //;s/\+dfsg//;s/-.*//')
+VERSION = $(subst +dfsg,,$(DEB_VERSION_UPSTREAM))
 URL     = http://www.openldap.org/software/download/OpenLDAP/openldap-release/
 
 # Download the upstream source and make changes as required for DFSG reasons.
@@ -157,6 +157,22 @@
 	find $(installdir)/usr/share/man -name \*.8 \
 		| xargs perl -pi -e 's#(\.TH \w+ 8)C#$$1#'
 
+ifeq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
+override_dh_install-arch:
+	dh_install
+
+	# install AppArmor profile
+	install -D -m 644 $(CURDIR)/debian/apparmor-profile $(CURDIR)/debian/slapd/etc/apparmor.d/usr.sbin.slapd
+
+	# install Apport hook
+	install -D -m 644 $(CURDIR)/debian/slapd.py $(CURDIR)/debian/slapd/usr/share/apport/package-hooks/slapd.py
+
+	# install ufw profile
+	install -D -m 644 $(CURDIR)/debian/slapd.ufw.profile $(CURDIR)/debian/slapd/etc/ufw/applications.d/slapd
+
+	dh_apparmor -pslapd --profile-name=usr.sbin.slapd
+endif
+
 override_dh_installinit:
 	dh_installinit -- "defaults 19 80"
 
@@ -213,14 +229,3 @@
 	debconf-updatepo
 ifeq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
 	# Remove our stripped schema from the upstream source area.
-	if [ -z "$(DFSG_NONFREE)" ]; then \
-	    set -e; for s in debian/schema/*.schema debian/schema/*.ldif; do \
-	        rm -f servers/slapd/schema/`basename $$s`; \
-	    done; \
-	fi
-
-	# Clean the contrib directory
-	for mod in $(CONTRIB_MODULES); do \
-		dh_auto_clean -Dcontrib/slapd-modules/$$mod -Bcontrib/slapd-modules/$$mod || exit $?; \
-	done
-endif

## openldap 2.4.49%2Bdfsg

=== contrib/slapd-modules/kinit/Makefile ===
# $OpenLDAP$

LDAP_SRC = ../../..
LDAP_BUILD = $(LDAP_SRC)
LDAP_INC = -I$(LDAP_BUILD)/include -I$(LDAP_SRC)/include -I$(LDAP_SRC)/servers/slapd
LDAP_LIB = $(LDAP_BUILD)/libraries/libldap_r/libldap_r.la \
	$(LDAP_BUILD)/libraries/liblber/liblber.la

LIBTOOL = $(LDAP_BUILD)/libtool
CC = gcc
OPT = -g -O2 -Wall
DEFS = 
INCS = $(LDAP_INC)
LIBS = $(LDAP_LIB) -lkrb5

PROGRAMS = kinit.la
LTVER = 0:0:0

prefix=/usr/local
exec_prefix=$(prefix)
ldap_subdir=/openldap

libdir=$(exec_prefix)/lib
libexecdir=$(exec_prefix)/libexec
moduledir = $(libexecdir)$(ldap_subdir)

.SUFFIXES: .c .o .lo

.c.lo:
	$(LIBTOOL) --mode=compile $(CC) $(OPT) $(DEFS) $(INCS) -c $<

all: $(PROGRAMS)

kinit.la: kinit.lo
	$(LIBTOOL) --mode=link $(CC) $(OPT) -version-info $(LTVER) \
	-rpath $(moduledir) -module -o $@ $? $(LIBS)

clean:
	rm -rf *.o *.lo *.la .libs

install: $(PROGRAMS)
	mkdir -p $(DESTDIR)$(moduledir)
	for p in $(PROGRAMS) ; do \
		$(LIBTOOL) --mode=install cp $$p $(DESTDIR)$(moduledir) ; \
	done

=== doc/guide/admin/Makefile ===
## Makefile for OpenLDAP Administrator's Guide
# $OpenLDAP$
## This work is part of OpenLDAP Software <http://www.openldap.org/>.
##
## Copyright 2005-2020 The OpenLDAP Foundation.
## All rights reserved.
##
## Redistribution and use in source and binary forms, with or without
## modification, are permitted only as authorized by the OpenLDAP
## Public License.
##
## A copy of this license is available in the file LICENSE in the
## top-level directory of the distribution or, alternatively, at
## <http://www.OpenLDAP.org/license.html>.
all: guide.html index.html

# for website building (for webmaster use, don't change)
www: guide.html index.html OpenLDAP-Admin-Guide.pdf

sdf-src: \
	../plain.sdf \
	../preamble.sdf \
	abstract.sdf \
	access-control.sdf \
	appendix-changes.sdf \
	appendix-common-errors.sdf \
	appendix-configs.sdf \
	appendix-contrib.sdf \
	appendix-deployments.sdf \
	appendix-ldap-result-codes.sdf \
	appendix-recommended-versions.sdf \
	appendix-upgrading.sdf \
	backends.sdf \
	config.sdf \
	dbtools.sdf \
	glossary.sdf \
	guide.sdf \
	install.sdf \
	intro.sdf \
	maintenance.sdf \
	master.sdf \
	monitoringslapd.sdf \
	overlays.sdf \
	preface.sdf \
	quickstart.sdf \
	referrals.sdf \
	replication.sdf \
	runningslapd.sdf \
	sasl.sdf \
	schema.sdf \
	security.sdf \
	slapdconfig.sdf \
	title.sdf \
	tls.sdf \
	troubleshooting.sdf \
	tuning.sdf

sdf-img: \
	../images/LDAPlogo.gif \
	allmail-en.png \
	allusersgroup-en.png \
	config_dit.png \
	config_local.png \
	config_ref.png \
	config_repl.png \
	delta-syncrepl.png \
	dual_dc.png \
	intro_dctree.png \
	intro_tree.png \
	ldap-sync-refreshandpersist.png \
	ldap-sync-refreshonly.png \
	n-way-multi-master.png \
	push-based-complete.png \
	push-based-standalone.png \
	refint.png \
	set-following-references.png \
	set-memberUid.png \
	set-recursivegroup.png 

guide.html: guide.sdf sdf-src sdf-img
	sdf -2html guide.sdf

index.html: index.sdf sdf-src sdf-img
	sdf -2topics index.sdf

admin.html: admin.sdf sdf-src sdf-img
	sdf -DPDF -2html admin.sdf

guide.pdf: admin.html guide.book
	htmldoc --batch guide.book -f guide.pdf

OpenLDAP-Admin-Guide.pdf: admin.html guide.book
	htmldoc --batch guide.book -f OpenLDAP-Admin-Guide.pdf

clean: 
	rm -f *.pdf *.html *~ *.bak
